# Created by pyp2rpm-3.3.2
%global pypi_name delegator.py

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 7
Summary:        Subprocesses for Humans 2.0
Group:          Development/Python
License:        MIT
URL:            https://github.com/kennethreitz/delegator
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Delegator.py is a simple library for dealing with subprocesses, inspired by
both envoy and pexpect (in fact, it depends on it!).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Delegator.py is a simple library for dealing with subprocesses, inspired by
both envoy and pexpect (in fact, it depends on it!).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/delegator.py{,c,o}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.1.1-7.mga10
+ Revision: 2035799
- rebuild for python 3.12
- new {paquet[1]}

* Wed Mar 23 2022 umeabot <umeabot> 0.1.1-6.mga9
+ Revision: 1823552
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.1.1-5.mga9
+ Revision: 1783607
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.1.1-4.mga9
+ Revision: 1732649
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.1.1-3.mga8
+ Revision: 1532780
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 0.1.1-2.mga8
+ Revision: 1443164
- rebuild for python3.8
- drop python2 support

* Fri Apr 19 2019 wally <wally> 0.1.1-1.mga7
+ Revision: 1393592
- imported package python-delegator.py

